package fuzzyMaghribis;

import org.nzdis.micro.bootloader.MicroBootProperties;
import org.sofosim.clustering.VertexPoint3D;
import org.sofosim.graph.GraphChangeListener;
import fuzzyMaghribis.batchSets.ScaleFreeBatchRun;
import sim.display.Controller;
import sim.display.GUIState;
import sim.engine.SimState;

public class MaghribiSimUi extends GUIState implements GraphChangeListener<VertexPoint3D<String>>{
	
	public MaghribiSimUi(SimState state) {
		super(state);
	}
	
	@Override
	public void init(Controller controller){
		
	}
	
	public static void main(String args[]){

		boolean batch = false;
		
		if(!batch){
			
			MaghribiSim sim = null;
			
			long seed = 36322726L;
			sim = new MaghribiSim(seed, ScaleFreeBatchRun.showUi);
			
			ScaleFreeBatchRun.setupPlatform();
			ScaleFreeBatchRun.setupConfiguration(sim);
			
			//specifics
			MicroBootProperties.setRandomNumberGeneratorSeed(sim.seed());
			
			//trust relations
			sim.traderInfoNetworkType = NetworkType.NETWORK_WATTS_STROGATZ;

			new MaghribiSimUi(sim).createController();
			return;
		}
		
		new ScaleFreeBatchRun().batchSpecification();
		
		System.exit(0);
	}

	@Override
	public void vertexAdded(VertexPoint3D<String> vertex) {
		
	}

	@Override
	public void vertexRemoved(VertexPoint3D<String> vertex) {
		
	}
	
}
