package fuzzyMaghribis;

/**
 * Type of relationship networks.
 * @author cfrantz
 *
 */
public abstract class NetworkType {

	/**
	 * Random call to different agent every time.
	 */
	public static final String NETWORK_RANDOM = "RDM";
	/**
	 * Only fixed trader relations that are built over time, 
	 * but no need for mutual connection.
	 */
	public static final String NETWORK_FIXED = "FXD";
	/**
	 * Only fixed trader relations that are built over time 
	 * but must be mutual.
	 */
	public static final String NETWORK_FIXED_MUTUAL = "FXDM";
	/**
	 * Small-world graph based on Watts-Strogatz algorithm.
	 */
	public static final String NETWORK_WATTS_STROGATZ = "WS";
	/**
	 * Scale-free graph based on Barabasi-Albert algorithm
	 */
	public static final String NETWORK_BARABASI_ALBERT = "BA";
	
}
