package fuzzyMaghribis.network;

public class Advice {

	private String advisor = null;
	private String adviceObject = null;
	private Float adviceValue = null;
	private String sender = null;
	
	public Advice(String adviceObject) {
		this.adviceObject = adviceObject;
	}
	
	public Advice(String sender, String adviceObject){
		this.sender = sender;
		this.adviceObject = adviceObject;
	}
	
	public Advice(String advisor, String adviceObject, Float adviceValue){
		this.advisor = advisor;
		this.adviceObject = adviceObject;
		this.adviceValue = adviceValue;
	}
	
	public Advice(String sender, String advisor, String adviceObject, Float adviceValue){
		this.sender = sender;
		this.advisor = advisor;
		this.adviceObject = adviceObject;
		this.adviceValue = adviceValue;
	}

	public String getSender() {
		return sender;
	}

	public void setSender(String sender) {
		this.sender = sender;
	}

	public String getAdvisor() {
		return advisor;
	}

	public void setAdvisor(String advisor) {
		this.advisor = advisor;
	}

	public String getAdviceObject() {
		return adviceObject;
	}

	public void setAdviceObject(String adviceObject) {
		this.adviceObject = adviceObject;
	}

	public Float getAdviceValue() {
		return adviceValue;
	}

	public void setAdviceValue(Float adviceValue) {
		this.adviceValue = adviceValue;
	}
	
	public Advice validateRequest(){
		if(this.sender == null || this.adviceObject == null){
			throw new RuntimeException("Advice REQUEST does not contain sufficient information (sender, adviceObject): " + toString());
		}
		return this;
	}
	
	public boolean successfulResponse(){
		return !(this.sender == null || this.adviceObject == null 
				|| this.advisor == null || this.adviceValue == null);
	}
	
	public Advice validateResponse(){
		if(this.sender == null || this.adviceObject == null 
				|| this.advisor == null || this.adviceValue == null || this.sender.equals(this.advisor)){
			throw new RuntimeException("Advice RESPONSE does not contain sufficient information (sender, adviceObject, advisor, adviseValue) or has myself as advisor: " + toString());
		}
		return this;
	}

	@Override
	public String toString() {
		return "Advice [advisor=" + advisor + ", adviceObject=" + adviceObject
				+ ", adviceValue=" + adviceValue + ", sender=" + sender + "]";
	}
	
}
