package fuzzyMaghribis.network;

public interface Advisor {

	/**
	 * Is called by other agent to get advice from me.
	 * @param advice Advice to be responded to (to be completed)
	 * @return complete advice
	 */
	public Advice getAdvice(Advice advice);
	
	/**
	 * Called by another agent to notify that he has 
	 * added me to his permanent relationship network.
	 * I will return if I did too.
	 * @param otherAgent Calling agent
	 * @return true indicates that I added him as well, false if I will not add him.
	 */
	public boolean addedYou(String otherAgent);
	
	/**
	 * Notification that other agent removed me from 
	 * his set of mutual relationships.
	 * @param otherAgent Calling agent
	 * @return true indicates that I removed you too, false: I did not remove you
	 */
	public boolean removedYou(String otherAgent);
	
}
