package fuzzyMaghribis.network;

import java.util.Collection;
import org.sofosim.environment.GridSim;

import fuzzyMaghribis.Trader;

public class TraderConnectionModifier implements ConnectionModifier {

	private GridSim sim = null;
	private Trader trader = null;
	
	public TraderConnectionModifier(Trader trader, GridSim sim){
		this.trader = trader;
		this.sim = sim;
	}

	@Override
	public String getName() {
		return trader.me();
	}

	@Override
	public void modifyConnections(Collection<String> targetNodes) {
		//reassign partners
		trader.traderConnections.clear();
		trader.traderConnections.addAll(targetNodes);
	}
	
	@Override
	public String toString(){
		return "Modifier for " + getName();
	}
	
}
