package fuzzyMaghribis.parallelLauncher.instances;

import org.nzdis.micro.bootloader.MicroBootProperties;
import fuzzyMaghribis.MaghribiSim;
import fuzzyMaghribis.MaghribiSimUi;
import fuzzyMaghribis.NetworkType;
import fuzzyMaghribis.Stats;
import fuzzyMaghribis.batchSets.ScaleFreeBatchRun;

public class BANetwork extends ScaleFreeBatchRun{

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		if(args.length != 0){
			System.out.println("Setting seed from parameter: " + args[0]);
		}
		//remove all letters from input
		seed = Long.valueOf(args[0].replaceAll("[^\\d.]", ""));
		
		MaghribiSim sim = new MaghribiSim(seed, ScaleFreeBatchRun.showUi);
		MicroBootProperties.setRandomNumberGeneratorSeed(sim.seed());
		
		setupPlatform();
		//trust relations
		sim.traderInfoNetworkType = NetworkType.NETWORK_BARABASI_ALBERT;
		setupConfiguration(sim);

		MaghribiSimUi ui = new MaghribiSimUi(sim);
		stepUi(ui, experimentalRounds, Stats.getGlobalSubfolderForOutput());
		System.exit(0);
	}

}
